<div class="btnAcrossPageName">
  <mb-button
    mbButtonSize="SMALL"
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{'partnership.pns-contract.label.deleteAll' | translate}}"
    nz-popconfirm
    nzCancelText="{{'partnership.pns-contract.action.cancel' | translate}}" nzOkType="primary"
    nzPopconfirmTitle="{{'partnership.pns-contract.label.confirmDeleteAll' | translate }}"
    nzPopconfirmPlacement="left"
    nzOkText="{{'partnership.pns-contract.action.yes' | translate}}"
    (nzOnConfirm)="onDeleteAll()"
    *ngIf="objFunction?.delete"
  ></mb-button>

  <mb-button
    mbButtonSize="MEDIUM"
    mbButtonAvailableStyle="IMPORT"
    mbButtonText="{{'common.upload.upload' | translate}}"
    nz-button nz-dropdown
    [nzDropdownMenu]="menu"
    *ngIf="objFunction?.import || objFunction?.approve"
  >
  </mb-button>

  <nz-dropdown-menu #menu="nzDropdownMenu">
    <ul nz-menu style='padding: 0'>
      <li
        nz-button
        nz-menu-item
        style="padding: 0 20px"
        (click)="showImportResult()"
        *ngIf="objFunction?.approve"
      >
        <div class="menu__item">
          <em nz-icon nzType="form" nzTheme="outline" style="margin-right: 10px"></em>
          <span>{{'partnership.pns-contract.label.importResult' | translate}}</span>
        </div>
      </li>
      <li
        nz-menu-item
        nz-button
        style="padding: 0 20px"
        (click)="showImportAmountFee()"
        *ngIf="objFunction?.import"
      >
        <div class="menu__item">
          <em nz-icon nzType="form" nzTheme="outline" style="margin-right: 10px"></em>
          <span>{{'partnership.pns-contract.label.changeAmountFee' | translate}}</span>
        </div>
      </li>
    </ul>
  </nz-dropdown-menu>

</div>

<div class='contract__search'>
  <app-loading *ngIf="isLoadingPage"></app-loading>
  <app-search-form #searchForm (keyup.enter)="doSearch(1, true)" [functionCode]="functionCode"></app-search-form>

  <div nz-row class="btn__row">
    <div nz-col [nzLg]="{span: 6}" nzSpan="8"></div>

    <div nz-col [nzLg]="{span: 12}" nzSpan="8">
      <div style="text-align: center">
        <mb-button
          class="staff__research__btn__search"
          mbButtonSize="MEDIUM"
          mbButtonAvailableStyle="SEARCH"
          (click)='doSearch(1, true)'
          mbButtonText="{{'partnership.label.search' | translate}}"
        ></mb-button>
        <mb-button mbButtonType='BORDER' mbButtonAvailableStyle='PRIMARY' (click)='doExportData()' mbButtonText="{{'partnership.pns-contract.label.exportListContract' | translate}}"
                   mbPrefixIcon="download"></mb-button>
        <mb-button
          mbButtonSize="MEDIUM"
          mbButtonType="BORDER"
          (click)='doExportListSign()'
        >
          <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
        </mb-button>
      </div>
    </div>
    <div nz-col [nzLg]="{span: 6}" nzSpan="8"></div>
  </div>
</div>

<div class='search__result'>
  <mb-table-merge-cell-wrap [tableConfig]="tableConfig">
    <div class="headerTableSelect" *ngIf='listContractProposalId.length > 0'>
      <mb-button mbButtonType='BORDER' mbButtonAvailableStyle='PRIMARY' (click)='doExportByListId()' mbButtonText="{{'partnership.pns-contract.label.exportContractSelected' | translate}}"
                 mbPrefixIcon="download"></mb-button>

      <mb-button mbButtonType='BORDER' mbButtonAvailableStyle='PRIMARY' (click)='sendMailContract()' mbButtonText="{{'partnership.pns-contract.label.sendMail' | translate}}"
                 mbPrefixIcon="send"></mb-button>
    </div>
    <div>
      <p *ngIf="listContractProposalId.length > 0" class="text__selected">{{'partnership.pns-contract.label.selected' | translate}}: {{listContractProposalId.length}}</p>
    </div>
    <mb-table-merge-cell
      (changePageNum)='doSearch($event)'
      [tableConfig]="tableConfig"
      [dataList]="dataTable"
      (dblClickRow)='onDetail($event)'
    ></mb-table-merge-cell>
  </mb-table-merge-cell-wrap>
</div>


<app-import-common [showContent]='isImportResult'
                   (onCloseModal)='doCloseImport($event)'
>
</app-import-common>

<import-file
  [showContent]="isImportAmountFee"
  (onCloseModal)='doCloseImport($event)'
  [urlApiDownloadTemp]="urlApiDownloadTemp"
  [urlApiImport]="urlApiImport"
  [isShowAttachFile]="false"
  (onLoadPage)="onLoadPage($event)"
>
</import-file>

<ng-template #actionTmpl let-status='status' let-type='type' let-empId='employeeId' let-empCode='employeeCode' let-empName='fullName' let-contractProposalId='contractProposalId'>
  <em nz-icon
     class="menu__item--btn"
     nz-button
     nzType="more"
     nzTheme="outline"
     nzTrigger="click"
     nz-dropdown
     [nzDropdownMenu]="menu"
  ></em>
  <nz-dropdown-menu #menu="nzDropdownMenu">
    <ul nz-menu class="btn___action-group">
      <li
        nz-button
        nz-menu-item
        (click)='openEdit(type, contractProposalId, empId, status)'
        [nzDisabled]='(type === 2 && status > 3) ||(type !== 2 && status > 4)'
        *ngIf="objFunction?.edit"
      >
        <div class="menu__item">
          <em nz-icon nzType="edit" nzTheme="outline" style="margin-right: 10px"></em>
          <span>{{'partnership.pns-contract.label.edit' | translate}}</span>
        </div>
      </li>
      <li
        nz-button
        nz-menu-item
        *ngIf="objFunction?.view"
        (click)='openEdit(type, contractProposalId, empId, status, true)'
      >
        <div class="menu__item">
          <span nz-icon nzType="eye" nzTheme="outline" style="margin-right: 10px"></span>
          <span>{{'partnership.pns-contract.label.detail' | translate}}</span>
        </div>
      </li>
      <li
        nz-button
        nz-menu-item
        *ngIf="objFunction?.view"
        (click)='exportContractById(contractProposalId, empCode, empName)'
      >
        <div class="menu__item">
          <em nz-icon nzType="download" nzTheme="outline" style="margin-right: 10px"></em>
          <span>{{'partnership.pns-contract.label.exportContract' | translate}}</span>
        </div>
      </li>
      <li
        nz-button
        nz-menu-item
        nz-popconfirm
        [nzPopconfirmTrigger]="getPopconfirmTrigger(status, type)"
        nzPopconfirmTitle="{{'partnership.pns-contract.action.confirmDelete' | translate}}"
        nzCancelText="{{'partnership.pns-contract.action.cancel' | translate}}" nzOkType="primary"
        nzOkText="{{'partnership.pns-contract.action.yes' | translate}}"
        [nzDisabled]='(status > 1 && type === 2) || (status > 4 && type !== 2)'
        (nzOnConfirm)="deleteById(contractProposalId, status, type)"
        nzPopconfirmPlacement="top"
        *ngIf="objFunction?.delete"
      >
        <div class="menu__item">
          <em nz-icon nzType="delete" nzTheme="outline" style="margin-right: 10px"></em>
          <span>{{'partnership.pns-contract.label.delete' | translate}}</span>
        </div>
      </li>
    </ul>
  </nz-dropdown-menu>
</ng-template>
<ng-template #selectTmpl let-id='contractProposalId'>
  <label
    nz-checkbox
    class='check__contract-proposal'
    (nzCheckedChange)='onCheckChange($event, id)'
    [nzChecked]='listContractProposalId.indexOf(id) > -1'
  >
  </label>
</ng-template>

<ng-template #selectHeaderTmpl>
  <label
    nz-checkbox
    class='check__contract-proposal'
    (nzCheckedChange)='onCheckAll($event)'
    [(nzChecked)]='checkAll[pagination.pageNumber]'>
  </label>

</ng-template>

<ng-template #statusTmpl let-status='status'>
  <ng-container *ngFor='let item of constant.SIGN_STATUS'>
    <nz-tag [nzColor]="item.bgColor" [ngStyle]="{'color': item.color}" *ngIf='status?.toString() === item.value'>{{item.label | translate}}</nz-tag>
  </ng-container>
</ng-template>
